List Product Sales
curl --request GET \
--url https://dev.api.mufi.app/v1/products/{id}/sales \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.api.mufi.app/v1/products/{id}/sales"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.api.mufi.app/v1/products/{id}/sales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sales": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_number": "<string>",
"order_status": "<string>",
"product_name": "<string>",
"quantity": 123,
"unit_price": 123,
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_email": "jsmith@example.com",
"user_first_name": "<string>",
"user_last_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123
}
}{
"errors": [
"<string>"
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Products Endpoints
List Product Sales
Fetch all sales (order items) for a product. Results are paginated.
GET
/
v1
/
products
/
{id}
/
sales
List Product Sales
Authorizations
A JWT Access Token obtained from Google Cloud.
Path Parameters
The product ID.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I